org.jboss.resteasy.plugins.providers.atom

## Class Feed

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.atom.CommonAttributes
  - - org.jboss.resteasy.plugins.providers.atom.Source
    - - org.jboss.resteasy.plugins.providers.atom.Feed

-     public class Feed
      extends Source

  Per RFC4287:

       The "atom:feed" element is the document (i.e., top-level) element of
       an Atom Feed Document, acting as a container for metadata and data
       associated with the feed.  Its element children consist of metadata
       elements followed by zero or more atom:entry child elements.

       atomFeed =
         element atom:feed {
             atomCommonAttributes,
             (atomAuthor*
              & atomCategory*
              & atomContributor*
              & atomGenerator?
              & atomIcon?
              & atomId
              & atomLink*
              & atomLogo?
              & atomRights?
              & atomSubtitle?
              & atomTitle
              & atomUpdated
              & extensionElement*),
             atomEntry*
         }

       This specification assigns no significance to the order of atom:entry
       elements within the feed.

       The following child elements are defined by this specification (note
       that the presence of some of these elements is required):

       o  atom:feed elements MUST contain one or more atom:author elements,
          unless all of the atom:feed element's child atom:entry elements
          contain at least one atom:author element.
       o  atom:feed elements MAY contain any number of atom:category
          elements.
       o  atom:feed elements MAY contain any number of atom:contributor
          elements.
       o  atom:feed elements MUST NOT contain more than one atom:generator
          element.
       o  atom:feed elements MUST NOT contain more than one atom:icon
          element.
       o  atom:feed elements MUST NOT contain more than one atom:logo
          element.
       o  atom:feed elements MUST contain exactly one atom:id element.
       o  atom:feed elements SHOULD contain one atom:link element with a rel
          attribute value of "self".  This is the preferred URI for
          retrieving Atom Feed Documents representing this Atom feed.
       o  atom:feed elements MUST NOT contain more than one atom:link
          element with a rel attribute value of "alternate" that has the
          same combination of type and hreflang attribute values.
       o  atom:feed elements MAY contain additional atom:link elements
          beyond those described above.
       o  atom:feed elements MUST NOT contain more than one atom:rights
          element.
       o  atom:feed elements MUST NOT contain more than one atom:subtitle
          element.
       o  atom:feed elements MUST contain exactly one atom:title element.
       o  atom:feed elements MUST contain exactly one atom:updated element.

       If multiple atom:entry elements with the same atom:id value appear in
       an Atom Feed Document, they represent the same entry.  Their
       atom:updated timestamps SHOULD be different.  If an Atom Feed
       Document contains multiple entries with the same atom:id, Atom
       Processors MAY choose to display all of them or some subset of them.
       One typical behavior would be to display only the entry with the
       latest atom:updated timestamp.

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Feed()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Entry>` | `getEntries()`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.Source

      `getAuthors, getCategories, getContributors, getGenerator, getIcon, getId, getLinkByRel, getLinks, getLogo, getRights, getSubtitle, getTitle, getUpdated, setGenerator, setIcon, setId, setLogo, setRights, setSubtitle, setTitle, setUpdated`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.CommonAttributes

      `getBase, getExtensionAttributes, getLanguage, setBase, setLanguage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Feed

          public Feed()

  - ### Method Detail

    - #### getEntries

          public List<Entry> getEntries()

Copyright © 2014. All Rights Reserved.